Modify

Opened 9 years ago

Closed 9 years ago

#4166 closed defect (fixed)

wgt634u kernel panic

Reported by: acoul <alex at ozo.com> Owned by: florian
Priority: high Milestone: Kamikaze 8.09.1
Component: kernel Version: Kamikaze 8.09
Keywords: Cc:

Description

this is on svn r13122

CFE version 1.0.34 for BCM95365R (32bit,SP,LE)
Build Date: Tue Feb 24 03:21:41 CST 2004 (root@jackylinux)
Copyright (C) 2000,2001,2002 Broadcom Corporation.

Add MAC client version(DNI).
Initializing Arena.
Initializing Devices.
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller
CPU type 0x29007: 200MHz
Total memory: 0x2000000 bytes (32MB)

Total memory used by CFE:  0x81BB1280 - 0x82000000 (4517248)
Initialized Data:          0x81BB1280 - 0x81BB3E90 (11280)
BSS Area:                  0x81BB3E90 - 0x81BB45D0 (1856)
Local Heap:                0x81BB45D0 - 0x81FB45D0 (4194304)
Stack Area:                0x81FB45D0 - 0x81FB65D0 (8192)
Text (code) segment:       0x81FB65E0 - 0x81FFFFB0 (301520)
Boot area (physical):      0x01B70000 - 0x01BB0000
Relocation Factor:         I:E23B65E0 - D:01BB0280

configure vlans
*****************************************************************
*********************** VLAN Driver initial  ********************
*****************************************************************
Process LAN port(2-5) vlan Architecture...
SUCCESS: trying to create VLAN 0 for switch
SUCCESS: trying to add LAN port

Process WAN port(2-5) vlan Architecture...
SUCCESS: trying to create VLAN 0 for switch
SUCCESS: trying to add WAN port
SUCCESS: enable ports  success
configure vlans...done
Device eth0:  hwaddr 00-09-5B-F6-FD-C6, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
Loader:elf Filesys:raw Dev:flash0.os File: Options:(null)
***************************
****  MAC Client V1.0  ****
***************************
et0macaddr value :flag =0 value=00-09-5b-f6-fd-c6
et1macaddr value :flag =0 value=00-09-5b-f6-fd-c7
MAC exist at least one
system ethernet mac exist and not default....
Skip mac client process.....
Loading: 0x80000000/7944 Entry at 0x80001000
Closing network.
et0: link down
Starting program at 0x80001000
Linux version 2.6.25.19 (alex@aifnis) (gcc version 4.2.4) #1 Wed Nov 5 08:59:01 EET 2008
console [early0] enabled
CPU revision is: 00029007 (Broadcom BCM3302)
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x05, vendor 0x4243)
ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
ssb: Core 2 found: IPSEC (cc 0x80B, rev 0x01, vendor 0x4243)
ssb: Core 3 found: USB 1.1 Hostdev (cc 0x808, rev 0x02, vendor 0x4243)
ssb: Core 4 found: PCI (cc 0x804, rev 0x08, vendor 0x4243)
ssb: Core 5 found: MIPS 3302 (cc 0x816, rev 0x01, vendor 0x4243)
ssb: Core 6 found: MEMC SDRAM (cc 0x80F, rev 0x00, vendor 0x4243)
ssb: Initializing MIPS core...
ssb: set_irq: core 0x0806, irq 2 => 2
ssb: set_irq: core 0x0804, irq 0 => 3
early_nvram_init: WGT634U NVRAM found.
ssb: Sonics Silicon Backplane found at address 0x18000000
Swapping serial ports!
Serial init done.
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal          0 ->     8192
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0:        0 ->     8192
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 init=/etc/preinit noinitrd console=ttyS0,115200
Primary instruction cache 8kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 4kB, 2-way, VIPT, no aliases, linesize 16 bytes
Synthesized clear page handler (26 instructions).
Synthesized copy page handler (46 instructions).
PID hash table entries: 128 (order: 7, 512 bytes)
console handover: boot [early0] -> real [ttyS0]
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Memory: 29976k/32768k available (1945k kernel code, 2792k reserved, 297k data, 120k init, 0k highmem)
SLUB: Genslabs=7, HWalign=32, Order=0-1, MinObjects=4, CPUs=1, Nodes=1
Mount-cache hash table entries: 512
net_namespace: 444 bytes
NET: Registered protocol family 16
Switched to NOHz mode on CPU #0
ssb: PCIcore in host mode found
Registering a PCI bus after boot
PCI: Fixing up bridge 0000:00:00.0
PCI: Fixing up device 0000:00:00.0
PCI: Fixing latency timer of device 0000:00:00.0 to 168
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
detected lzma initramfs
initramfs: LZMA lc=1,lp=2,pb=2,origSize=512
sysfs: duplicate filename ':0000256' can not be created
------------[ cut here ]------------
WARNING: at fs/sysfs/dir.c:424 ()
Modules linked in:
Call Trace:[<8000901c>][<8000901c>][<80021f04>][<80023338>][<80023358>][<80100104>][<8001caf8>][<8001b524>][<800c3920>][<800233b8>][<800c4024>][<800c3db4>]]
---[ end trace 778e504de7e3b1e3 ]---
kobject_add_internal failed for :0000256 with -EEXIST, don't try to register things with the same name in the same directory.
Call Trace:[<8000901c>][<8000901c>][<80101084>][<800c41e0>][<80101410>][<80100c84>][<80101470>][<80106900>][<80076a50>][<80076984>][<8023c5a8>][<8023c174>]]
Bad page state in process 'swapper'
page:81004620 flags:0x00000400 mapping:00000000 mapcount:0 count:0
Trying to fix it up, but a reboot is needed
Backtrace:
Call Trace:[<8000901c>][<8000901c>][<80056d90>][<80057894>][<80100e44>][<80100dd4>][<80101e9c>][<80076a60>][<80076a50>][<80076984>][<8023c5a8>][<8023c174>]]
SLUB: Unable to add boot slab kmalloc-192 to sysfs
squashfs: version 3.0 (2006/03/15) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver $Revision: 1.90 $ 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0x0 (irq = 3) is a 16550A
serial8250: ttyS1 at MMIO 0x0 (irq = 3) is a 16550A
serial8250 serial8250.0: unable to register port at index 0 (IO0 MEMb8000400 IRQ3): -28
serial8250 serial8250.0: unable to register port at index 1 (IO0 MEMb8000300 IRQ3): -28
b44.c:v2.0
eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:09:5b:f6:fd:c6
Registered led device: power
TCP vegas registered
NET: Registered protocol family 1
NET: Registered protocol family 17
VFS: Cannot open root device "mtdblock2" or unknown-block(0,0)
Please append a correct "root=" boot option; here are the available partitions:
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

Attachments (0)

Change History (4)

comment:1 Changed 9 years ago by acoul <alex at ozo.com>

and with some different kernel options:

CFE version 1.0.34 for BCM95365R (32bit,SP,LE)
Build Date: Tue Feb 24 03:21:41 CST 2004 (root@jackylinux)
Copyright (C) 2000,2001,2002 Broadcom Corporation.

Add MAC client version(DNI).
Initializing Arena.
Initializing Devices.
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller
CPU type 0x29007: 200MHz
Total memory: 0x2000000 bytes (32MB)

Total memory used by CFE:  0x81BB1280 - 0x82000000 (4517248)
Initialized Data:          0x81BB1280 - 0x81BB3E90 (11280)
BSS Area:                  0x81BB3E90 - 0x81BB45D0 (1856)
Local Heap:                0x81BB45D0 - 0x81FB45D0 (4194304)
Stack Area:                0x81FB45D0 - 0x81FB65D0 (8192)
Text (code) segment:       0x81FB65E0 - 0x81FFFFB0 (301520)
Boot area (physical):      0x01B70000 - 0x01BB0000
Relocation Factor:         I:E23B65E0 - D:01BB0280

configure vlans
*****************************************************************
*********************** VLAN Driver initial  ********************
*****************************************************************
Process LAN port(2-5) vlan Architecture...
SUCCESS: trying to create VLAN 0 for switch
SUCCESS: trying to add LAN port

Process WAN port(2-5) vlan Architecture...
SUCCESS: trying to create VLAN 0 for switch
SUCCESS: trying to add WAN port
SUCCESS: enable ports  success
configure vlans...done
Device eth0:  hwaddr 00-09-5B-F6-FD-C6, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
Loader:elf Filesys:raw Dev:flash0.os File: Options:(null)
***************************
****  MAC Client V1.0  ****
***************************
et0macaddr value :flag =0 value=00-09-5b-f6-fd-c6
et1macaddr value :flag =0 value=00-09-5b-f6-fd-c7
MAC exist at least one
system ethernet mac exist and not default....
Skip mac client process.....
Loading: 0x80000000/7944 Entry at 0x80001000
Closing network.
et0: link down
Starting program at 0x80001000
Linux version 2.6.25.19 (alex@aifnis) (gcc version 4.2.4) #1 Wed Nov 5 09:49:22 EET 2008
console [early0] enabled
CPU revision is: 00029007 (Broadcom BCM3302)
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x05, vendor 0x4243)
ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
ssb: Core 2 found: IPSEC (cc 0x80B, rev 0x01, vendor 0x4243)
ssb: Core 3 found: USB 1.1 Hostdev (cc 0x808, rev 0x02, vendor 0x4243)
ssb: Core 4 found: PCI (cc 0x804, rev 0x08, vendor 0x4243)
ssb: Core 5 found: MIPS 3302 (cc 0x816, rev 0x01, vendor 0x4243)
ssb: Core 6 found: MEMC SDRAM (cc 0x80F, rev 0x00, vendor 0x4243)
ssb: Initializing MIPS core...
ssb: set_irq: core 0x0806, irq 2 => 2
ssb: set_irq: core 0x0804, irq 0 => 3
early_nvram_init: WGT634U NVRAM found.
ssb: Sonics Silicon Backplane found at address 0x18000000
Swapping serial ports!
Serial init done.
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal          0 ->     8192
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0:        0 ->     8192
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 init=/etc/preinit noinitrd console=ttyS0,115200
Primary instruction cache 8kB, VIPT, 2-way, linesize 16 bytes.
Primary data cache 4kB, 2-way, VIPT, no aliases, linesize 16 bytes
Synthesized clear page handler (26 instructions).
Synthesized copy page handler (46 instructions).
PID hash table entries: 128 (order: 7, 512 bytes)
console handover: boot [early0] -> real [ttyS0]
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Memory: 29968k/32768k available (1949k kernel code, 2800k reserved, 299k data, 120k init, 0k highmem)
Mount-cache hash table entries: 512
net_namespace: 444 bytes
NET: Registered protocol family 16
ssb: PCIcore in host mode found
Registering a PCI bus after boot
PCI: Fixing up bridge 0000:00:00.0
PCI: Fixing up device 0000:00:00.0
PCI: Fixing latency timer of device 0000:00:00.0 to 168
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
detected lzma initramfs
initramfs: LZMA lc=1,lp=2,pb=2,origSize=512
squashfs: version 3.0 (2006/03/15) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver $Revision: 1.90 $ 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0x0 (irq = 3) is a 16550A
serial8250: ttyS1 at MMIO 0x0 (irq = 3) is a 16550A
serial8250 serial8250.0: unable to register port at index 0 (IO0 MEMb8000400 IRQ3): -28
serial8250 serial8250.0: unable to register port at index 1 (IO0 MEMb8000300 IRQ3): -28
b44.c:v2.0
eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:09:5b:f6:fd:c6
Registered led device: power
TCP vegas registered
NET: Registered protocol family 1
NET: Registered protocol family 17
VFS: Cannot open root device "mtdblock2" or unknown-block(0,0)
Please append a correct "root=" boot option; here are the available partitions:
Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

comment:2 Changed 9 years ago by acoul <alex at ozo.com>

2.6.23.17 is a go:

CFE version 1.0.34 for BCM95365R (32bit,SP,LE)
Build Date: Tue Feb 24 03:21:41 CST 2004 (root@jackylinux)
Copyright (C) 2000,2001,2002 Broadcom Corporation.

Add MAC client version(DNI).
Initializing Arena.
Initializing Devices.
et0: Broadcom BCM47xx 10/100 Mbps Ethernet Controller
CPU type 0x29007: 200MHz
Total memory: 0x2000000 bytes (32MB)

Total memory used by CFE:  0x81BB1280 - 0x82000000 (4517248)
Initialized Data:          0x81BB1280 - 0x81BB3E90 (11280)
BSS Area:                  0x81BB3E90 - 0x81BB45D0 (1856)
Local Heap:                0x81BB45D0 - 0x81FB45D0 (4194304)
Stack Area:                0x81FB45D0 - 0x81FB65D0 (8192)
Text (code) segment:       0x81FB65E0 - 0x81FFFFB0 (301520)
Boot area (physical):      0x01B70000 - 0x01BB0000
Relocation Factor:         I:E23B65E0 - D:01BB0280

configure vlans
*****************************************************************
*********************** VLAN Driver initial  ********************
*****************************************************************
Process LAN port(2-5) vlan Architecture...
SUCCESS: trying to create VLAN 0 for switch
SUCCESS: trying to add LAN port

Process WAN port(2-5) vlan Architecture...
SUCCESS: trying to create VLAN 0 for switch
SUCCESS: trying to add WAN port
SUCCESS: enable ports  success
configure vlans...done
Device eth0:  hwaddr 00-09-5B-F6-FD-C6, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
Loader:elf Filesys:raw Dev:flash0.os File: Options:(null)
***************************
****  MAC Client V1.0  ****
***************************
et0macaddr value :flag =0 value=00-09-5b-f6-fd-c6
et1macaddr value :flag =0 value=00-09-5b-f6-fd-c7
MAC exist at least one
system ethernet mac exist and not default....
Skip mac client process.....
Loading: 0x80000000/7944 Entry at 0x80001000
Closing network.
et0: link down
Starting program at 0x80001000
CFE-console: Swapping serial ports!
CFE-console: Serial init done.
Linux version 2.6.23.17 (alex@aifnis) (gcc version 4.2.4) #1 Wed Nov 5 10:14:34 EET 2008
CPU revision is: 00029007
ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x05, vendor 0x4243)
ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
ssb: Core 2 found: IPSEC (cc 0x80B, rev 0x01, vendor 0x4243)
ssb: Core 3 found: USB 1.1 Hostdev (cc 0x808, rev 0x02, vendor 0x4243)
ssb: Core 4 found: PCI (cc 0x804, rev 0x08, vendor 0x4243)
ssb: Core 5 found: MIPS 3302 (cc 0x816, rev 0x01, vendor 0x4243)
ssb: Core 6 found: MEMC SDRAM (cc 0x80F, rev 0x00, vendor 0x4243)
ssb: Initializing MIPS core...
ssb: set_irq: core 0x0806, irq 2 => 2
ssb: set_irq: core 0x0804, irq 0 => 3
early_nvram_init: WGT634U NVRAM found.
ssb: Sonics Silicon Backplane found at address 0x18000000
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Built 1 zonelists in Zone order.  Total pages: 8128
Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 init=/etc/preinit noinitrd console=ttyS0,115200
Primary instruction cache 8kB, physically tagged, 2-way, linesize 16 bytes.
Primary data cache 4kB, 2-way, linesize 16 bytes.
Synthesized TLB refill handler (21 instructions).
Synthesized TLB load handler fastpath (33 instructions).
Synthesized TLB store handler fastpath (33 instructions).
Synthesized TLB modify handler fastpath (32 instructions).
PID hash table entries: 128 (order: 7, 512 bytes)
Using 100.000 MHz high precision timer.
console [ttyS0] enabled
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Memory: 30036k/32768k available (1910k kernel code, 2732k reserved, 274k data, 108k init, 0k highmem)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
Time: MIPS clocksource has been installed.
ssb: PCIcore in host mode found
Registering a PCI bus after boot
PCI: Fixing up bridge 0000:00:00.0
PCI: Fixing up device 0000:00:00.0
PCI: Fixing latency timer of device 0000:00:00.0 to 168
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
detected lzma initramfs
initramfs: LZMA lc=1,lp=2,pb=2,origSize=512
squashfs: version 3.0 (2006/03/15) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver $Revision: 1.90 $ 2 ports, IRQ sharing enabled
serial8250: ttyS0 at MMIO 0x0 (irq = 3) is a 16550A
serial8250: ttyS1 at MMIO 0x0 (irq = 3) is a 16550A
b44.c:v1.01 (Jun 16, 2006)
eth0: Broadcom 10/100BaseT Ethernet 00:09:5b:f6:fd:c6
flash init: 0x1c000000 0x02000000
Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank
 Intel/Sharp Extended Query Table at 0x0031
Using buffer write method
cfi_cmdset_0001: Erase suspend on write enabled
Flash device: 0x800000 at 0x1fc00000
bootloader size: 655360
Updating TRX offsets and length:
old trx = [0x0000001c, 0x00000948, 0x000c0000], len=0x001c1000 crc32=0x6f87e8cd
new trx = [0x0000001c, 0x00000948, 0x000c0000], len=0x000c0000 crc32=0xe4a439b8
Done
Creating 4 MTD partitions on "Physically mapped flash":
0x00000000-0x000a0000 : "cfe"
0x000a0000-0x007e0000 : "linux"
0x00160000-0x007e0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
split_squashfs: no squashfs found in "Physically mapped flash"
0x007e0000-0x00800000 : "nvram"
TCP vegas registered
NET: Registered protocol family 1
NET: Registered protocol family 17
jffs2_scan_eraseblock(): End of filesystem marker found at 0x100000
jffs2_build_filesystem(): unlocking the mtd device... done.
jffs2_build_filesystem(): erasing all blocks after the end marker... done.
VFS: Mounted root (jffs2 filesystem) readonly.
Freeing unused kernel memory: 108k freed
Please be patient, while OpenWrt loads ...
Algorithmics/MIPS FPU Emulator v1.5
- preinit -
Press CTRL-C for failsafe
diag: Detected 'Netgear WGT634U'
b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.
roboswitch: Probing device eth0: found!
- init -

Please press Enter to activate this console.


BusyBox v1.11.2 (2008-11-05 09:56:29 EET) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 KAMIKAZE (bleeding edge, r13122) -------------------
  * 10 oz Vodka       Shake well with ice and strain
  * 10 oz Triple sec  mixture into 10 shot glasses.
  * 10 oz lime juice  Salute!
 ---------------------------------------------------
root@OpenWrt:/# b44: eth0: Link is up at 100 Mbps, full duplex.
b44: eth0: Flow control is off for TX and off for RX.

root@OpenWrt:/#

comment:3 Changed 9 years ago by florian

  • Milestone set to Kamikaze 8.09.1
  • Owner changed from developers to florian
  • Status changed from new to assigned
  • Version set to Kamikaze 8.09

comment:4 Changed 9 years ago by florian

  • Resolution set to fixed
  • Status changed from assigned to closed

This is fixed in trunk.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.